Subject: Re: [PATCH][RFC] I2C support for MPC107 and relatives

From: Kumar Gala <[email-masked]>
Date: Mon, 14 Jun 2004 08:39:08 -0500

Adrian,

It would be really helpful if you could take a look at getting the
driver working on a MPC107 based systems.  We have not had time to look
at that fully.  However, are intent has always to get the same driver
working for MPC10x, 824x, 85xx systems since the block is very similar.

- kumar

On Jun 14, 2004, at 8:24 AM, Adrian Cox wrote:

> On Mon, 2004-06-14 at 14:01, Stefan Nickl wrote:
>> On Mon, 2004-06-14 at 13:37, Adrian Cox wrote:
>>> On Mon, 2004-06-14 at 12:01, Stefan Nickl wrote:
>>>> FYI: The Motorola folks recently pushed a I2C driver called
>>>> i2c-mpc.c
>>>> into the 2.4 tree, it seems to be fully OCP'ed, save it seems the
>>>> platform hooks are only present for 8540 yet.
>>>
>>> Do you know which 2.4 tree? It's not in linuxppc_2_4_devel or in the
>>> main 2.4 kernel. If their driver works with my OCP patch, it would
>>> save
>>> a whole lot of effort.
>>
>> Sorry, I was talking about
>> bk://ppc.bkbits.net/linuxppc-2.4
>
> It does similar things to mine, but it can support the controller on 8
> as well as 32 bit busses.  I may try putting it into my 2.6 tree and
> using it on the MPC107.
>
> - Adrian Cox
> Humboldt Solutions Ltd.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/